Free Support Forum - aspose.com

Java 9 compatibility

Hi,

We performed a Java 9 compatibility test for our applications and third party libraries. Aspose 17.7 has compatibility issues with Java 9.

My query is what Aspose version will be compatible with Java 9 and by when we can expect it to be available for download.

Regards,

@nihhhs

Thanks for your inquiry.

We already have logged an investigation ticket as PDFJAVA-37217 in our issue tracking system and have been working over configuring an optimized build of the API for JDK 9. We would like to share with you that logged ticket is expected to be resolved in Aspose.PDF for Java 18.4 release. We will further keep you updated In case of any definite updates regarding ticket resolution. Please spare us little time.

We are sorry for the inconvenience.

Hi,

Can you please provide an ETA when can we expect 18.4 release to be available.

Regards,

@nihhhs

Thanks for your inquiry.

The earlier logged ticket is expected to be resolved in Aspose.PDF for Java 18.4 release which will be available for download at the end of this month or start of the next month. We will let you know once the feature is available after the release of upcoming version of the API. Please spare us little time.

Hi,

I verified the released notes for 18.4 release but I don’t see any updates for PDFJAVA-37217. Can you please provide an ETA for the JDK 1.9.

Regards,

@nihhhs

Sorry for keeping you wait.

The logged investigation ticket has not been resolved in Aspose.PDF for Java 18.4, due to some technical difficulties and pending high priority issues. There are some tests which we need to perform, in order to test API integration with JDK 9. As soon as we have some reliable ETA for ticket resolution, we will surely inform you within this forum thread. Please spare us little time.

We are sorry for the inconvenience.

Hi,

Can you please provide a timeline for the JDK 1.9 upgrade, by when do you think you can have a Aspose version available.

Regards,

@nihhhs

Thanks for your inquiry.

The JDK 9 compatibility is expected to be supported in upcoming release i.e. Aspose.PDF for Java 18.5, in case our integration tests are completed. However, we cannot make any promises and JDK 9 support could be postponed if there are some technical hurdles. Nevertheless, we will inform you once the support is available. Please spare us little time.

We are sorry for the inconvenience.

The issues you have found earlier (filed as PDFJAVA-37217) have been fixed in this update.